LibreOffice: XViewSplitable Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XViewSplitable Interface Referencepublished

enables a SpreadsheetView to split the view. More...

`import"XViewSplitable.idl";`

Inheritance diagram for XViewSplitable:

## Public Member Functions
boolean | getIsWindowSplit ()
| returns `TRUE` if the view is split into individual panes. More...
long | getSplitHorizontal ()
| returns the horizontal position in pixels where the view is split. More...
long | getSplitVertical ()
| returns the vertical position in pixels where the view is split. More...
long | getSplitColumn ()
| returns the column before which the view is split. More...
long | getSplitRow ()
| returns the row before which the view is split. More...
void | splitAtPosition ([in] long nPixelX, [in] long nPixelY)
| splits the view at the specified position. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enables a SpreadsheetView to split the view.

Deprecated:

## Member Function Documentation

## ◆ getIsWindowSplit()

boolean getIsWindowSplit | ( |  | ) |

returns `TRUE` if the view is split into individual panes.

Only one of XViewSplitable::getIsWindowSplit() and XViewFreezable::hasFrozenPanes() can be `TRUE`.

## ◆ getSplitColumn()

long getSplitColumn | ( |  | ) |

returns the column before which the view is split.

## ◆ getSplitHorizontal()

long getSplitHorizontal | ( |  | ) |

returns the horizontal position in pixels where the view is split.

## ◆ getSplitRow()

long getSplitRow | ( |  | ) |

returns the row before which the view is split.

## ◆ getSplitVertical()

long getSplitVertical | ( |  | ) |

returns the vertical position in pixels where the view is split.

## ◆ splitAtPosition()

void splitAtPosition | ( | [in] long | nPixelX,
|  | [in] long | nPixelY
| ) |  |

splits the view at the specified position.

To split only horizontally, specify nPixelY as 0. To split only vertically, specify nPixelX as 0.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XViewSplitable.idl